## covered 0.7.10

=== doc/html/test/Makefile ===
OVL_HOME = ../../../diags/verilog/ovl

all:
	iverilog -v -c libs example.v
	./a.out
	../../../src/covered -D score -t main -v example.v -vcd example.vcd -A ovl +libext+.vlib+ -y $(OVL_HOME) -y $(OVL_HOME)/vlog95 -I $(OVL_HOME)
	../../../src/covered report -d v -m ltcfram -o example.rptM cov.cdd
	../../../src/covered report -d v -m ltcfram -i -o example.rptI cov.cdd
	./prep_files

clean:
	rm -rf a.out *.cdd *.rptM *.rptI *.vcd

## covered 0.7.8

=== debian/changelog ===
covered (0.7.8-2) unstable; urgency=low

  * Updated my email address.
  * Change verilog dependency to iverilog | verilog

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 28 Apr 2010 19:47:19 +0200

covered (0.7.8-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format
  * debian/control:
    + Bumped Standards-Version to 3.8.4, no changes needed
    + Updated my email address.
  * Refreshed patch outdated_config.diff
  * Added manpage.diff patch to escape a hyphen.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 05 Apr 2010 12:02:20 +0200

covered (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * Removed tclscript_install.diff patch, as it got applied upstream.
  * Added outdated_config.diff patch for config.{sub,guess} to call
    their up-to-date versions. (Closes: #551138)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 29 Oct 2009 07:58:27 +0200

covered (0.7.6-1) unstable; urgency=low

  * Initial release (Closes: #539883)
  * Added tclscript_install.diff to
    + install Tcl scripts without setting the executable bit
    + remove shebang from main_view.tcl

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 27 Aug 2009 20:22:43 +0300

=== debian/control ===
Source: covered
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, flex, bison, gperf, tcl8.5-dev, tk8.5-dev, libxft2-dev, iverilog | verilog, gplcver (>= 2.12a-1.1)
Standards-Version: 3.8.4
Homepage: http://covered.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-electronics/covered.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/covered.git

Package: covered
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tklib
Recommends: iverilog | verilog | gplcver (>= 2.12a-1.1)
Description: Verilog code coverage analysis tool
 Covered is a Verilog code coverage utility that reads in a Verilog design and
 a generated VCD/LXT dumpfile from that design and generates a coverage file
 that can be merged with other coverage files or used to create a coverage
 report. Covered also contains the GUI coverage report utility that reads in a
 coverage file to allow interactive coverage discovery. Areas of coverage
 measured by Covered are: line, toggle, memory, combinational logic, FSM
 state/state-transition and assertion coverage.

Package: covered-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Verilog code coverage analysis tool - documentation
 Covered is a Verilog code coverage utility that reads in a Verilog design and
 a generated VCD/LXT dumpfile from that design and generates a coverage file
 that can be merged with other coverage files or used to create a coverage
 report. Covered also contains the GUI coverage report utility that reads in a
 coverage file to allow interactive coverage discovery. Areas of coverage
 measured by Covered are: line, toggle, memory, combinational logic, FSM
 state/state-transition and assertion coverage.
 .
 This package contains the documentation.

=== debian/watch ===
version=3

http://sf.net/covered/covered-(0.*)\.tar\.gz
#http://sourceforge.net/projects/covered/files covered-(0.*)\.tar\.gz

## covered 0.7.9

=== debian/changelog ===
covered (0.7.9-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Added a direct URL.
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 22 Nov 2010 17:51:27 +0200

## covered 0.7.10

=== debian/changelog ===
covered (0.7.10-6) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/control: mark covered-doc as Multi-Arch: foreign
  * Update copyright years
  * d/control: bump standards version to 4.7.2
  * Add fix-gcc15-ftbfs.patch to fix FTBFS with gcc-15 (Closes: #1096464)
  * d/rules: set DEB_CFLAGS to -01 instead of -O2 as a workaround for #1115654
  * Add fix-blhc.patch to add *FLAGS to various build targets to fix blhc
    issues

  [ Alexandre Detiste ]
  * quilt is the default now

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 21 Sep 2025 18:55:43 +0200

covered (0.7.10-5) unstable; urgency=medium

  * Add fix-implicit-declarations.patch to fix implicit declarations
    (Closes: #1078009)
  * d/control: bumped standards version to 4.7.0
  * Update copyright years
  * d/fix-implicit-declarations.patch: forward upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 07 Dec 2024 17:13:37 +0100

covered (0.7.10-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 10.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/watch: update to standard 4
  * d/control: updated debhelper-compat to 13
  * d/control: updated standards version to 4.6.2
  * d/rules: DEB_HOST_MULTIARCH is pre-initialised
  * d/source.lintian-overrides: add overrides for HTML files reported to 0be without source.
    See: #1019980
  * d/control: remove autotools-dev from build-deps, no longer needs to be specified
  * d/covered-doc.install: set destination dir to /usr/share/doc/covered
  * d/control: Use deebhelper-compat instead of debhelper in build-deps.
    Remove debian/compat
  * Add typos.diff patch to fix spelling mistakes
  * d/control: add Rules-Requires-Root: no
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 18 Apr 2023 03:30:26 +0200

covered (0.7.10-3) unstable; urgency=medium

  * debian/patches/clang-ftbfs.diff: mark inline function with
  '__attribute__ ((gnu_inline))' to fix FTBFS with GCC-5.
    Also update forwarded patch URL. (Closes: #777821)
  * debian/copyright: Update copyright years.
  * Update my email address.
  * debian/patches/manpage.diff: Update forwarded patch URL, and add upstream
    bug URL.
  * Update to Tcl/Tk 8.6
    + Added debian/patches/tcl8.6.diff patch.
  * debian/control: Bumped Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 Jun 2015 12:32:10 +0200

covered (0.7.10-2) unstable; urgency=medium

  * debian/rules:
    + Check DEB_BUILD_OPTIONS for "nocheck" flag before actually running:
      'make check'
    + Set libexecdir to /usr/lib/<DEB_HOST_MULTIARCH>/covered to get Icarus
      Verilog & GPL CVER modules installed there
  * debian/control:
    + Use canonical URIs in VCS-* fields.
    + Remove obsolete DMUA field.
    + Bumped compat level to 9
    + Bumped Standards-Version to 3.9.5
  * Updated copyright format & years.
  * Added clang-ftbfs.diff patch to fix FTBFS with clang.
    Fixed undefined reference error in: src/lxt2_read.c, src/lxt2_read.h
    Thanks to Arthur Marble <arthur@info9.net> (Closes: #757263)
  * Cleanup watch file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 12 Aug 2014 09:36:44 +0300

covered (0.7.10-1) unstable; urgency=low

  * New upstream release.
  * Refreshed manpage.diff patch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 09 Dec 2010 15:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, flex, bison, gperf, tcl8.5-dev, tk8.5-dev, libxft2-dev, iverilog | verilog, gplcver (>= 2.12a-1.1)
-Standards-Version: 3.8.4
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13), flex, bison, gperf, tcl-dev, tk-dev, libxft2-dev, iverilog | verilog, gplcver (>= 2.12a-1.1)
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: http://covered.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-electronics/covered.git
-Vcs-Browser: http://git.debian.org/?p=pkg-electronics/covered.git
+Vcs-Git: https://salsa.debian.org/electronics-team/covered.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/covered
 
 Package: covered
 Architecture: any
@@ -26,6 +26,7 @@
 Package: covered-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Verilog code coverage analysis tool - documentation
  Covered is a Verilog code coverage utility that reads in a Verilog design and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/covered --with-iv=/usr --with-cver=/usr/include/cver LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	make check
endif

=== debian/watch ===
version=4

http://sf.net/covered/covered-(0.*)\.tar\.gz
